Subject: bug#24902: 25.1; C-x = for Unicode

From: Mattias Engdegård <[email-masked]>
Date: Wed, 26 Jan 2022 14:46:37 +0100

26 jan. 2022 kl. 08.09 skrev Ulrich Windl <[email-masked]>:

> As Unicode names can have spaces in them (e.g.: "U+A758 LATIN CAPITAL LETTER Q
> WITH DIAGONAL STROKE"), the comma is important (unless the name is quoted), I
> think.

All right, let's add a comma there then.

26 jan. 2022 kl. 14.10 skrev Lars Ingebrigtsen <[email-masked]>:

> I think that's more confusing than what we currently have -- pt and col
> aren't very clear.

Maybe we can afford spending a few more characters then, "point" is a reasonable improvement. I think that "col" as shorthand for "column" is readily understood because it is so common even outside Emacs, but will happily change to "column" if required.

> And I have absolutely no idea what the stuff in <> is supposed to tell
> me, but the current format has that in common with the proposed format.

Yes. The problem is that since we display the point and buffer size, which is the basic job of the command after all, we pretty much need to indicate narrowing in some way. Since narrowing is slightly uncommon we could afford some verbosity; what about changing

 <1234-5678>

into

 (narrowed to 1234-5678)

then?